> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Available Countries

> Retrieve a list of countries supported for beneficiary creation with available payment methods and phone validation rules



## OpenAPI

````yaml GET /v1/beneficiaries/countries
openapi: 3.1.0
info:
  title: Fin.com API
  version: 1.0.0
  description: A simple API specification
servers:
  - url: https://sandbox.api.fin.com
    description: Sandbox server
  - url: https://api.fin.com
    description: Production server
security: []
tags:
  - name: Authentication
    description: A modified OAuth 2.0 Client Credential Flow
  - name: Customers
    description: Customer management and document upload operations
  - name: Balances
    description: Retrieve wallet balance information
  - name: Catalogue
    description: |
      A set of endpoints to retrieve contextual data to assemble requests
      to fin.com's API
  - name: Beneficiaries
    description: Manage beneficiary accounts for payments and transfers
  - name: Transactions
    description: Transaction history and management for beneficiaries
  - name: Virtual Accounts
    description: Create and manage virtual accounts for USD to USDC conversions
  - name: Fees & FX Rates
    description: Retrieve fees and foreign exchange rates
paths:
  /v1/beneficiaries/countries:
    get:
      tags:
        - Beneficiaries
      summary: List Available Countries
      description: >-
        Retrieve a list of countries supported for beneficiary creation with
        available payment methods and phone validation rules
      responses:
        '200':
          description: Countries list retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 4
                        code:
                          type: string
                          example: AUS
                        name:
                          type: string
                          example: Australia
                        currency_code:
                          type: string
                          example: AUD
                        phone:
                          type: object
                          properties:
                            code:
                              type: string
                              example: '+61'
                            max_length:
                              type: integer
                              example: 9
                            min_length:
                              type: integer
                              example: 9
                        available_methods:
                          type: array
                          items:
                            type: string
                            enum:
                              - BANK
                              - E_WALLET
                          example:
                            - BANK
                        flag:
                          type: string
                          format: uri
                          example: https://flagcdn.com/au.svg
        '401':
          $ref: '#/components/responses/AuthenticationError'
      security:
        - bearerAuth: []
components:
  responses:
    AuthenticationError:
      description: Authentication failed due to invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Authentication failed
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Obtain token from [Issue a
        Token](https://developer.fin.com/api-reference/authentication/issue-a-token)
        endpoint

````